<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__drivers_8h" kind="file" language="C++">
    <compoundname>cyhal_drivers.h</compoundname>
    <includes local="yes" refid="cyhal__adc_8h">cyhal_adc.h</includes>
    <includes local="yes" refid="cyhal__clock_8h">cyhal_clock.h</includes>
    <includes local="yes" refid="cyhal__crc_8h">cyhal_crc.h</includes>
    <includes local="yes" refid="cyhal__dac_8h">cyhal_dac.h</includes>
    <includes local="yes" refid="cyhal__dma_8h">cyhal_dma.h</includes>
    <includes local="yes" refid="cyhal__ezi2c_8h">cyhal_ezi2c.h</includes>
    <includes local="yes" refid="cyhal__flash_8h">cyhal_flash.h</includes>
    <includes local="yes" refid="cyhal__gpio_8h">cyhal_gpio.h</includes>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cyhal__i2c_8h">cyhal_i2c.h</includes>
    <includes local="yes" refid="cyhal__i2s_8h">cyhal_i2s.h</includes>
    <includes local="yes" refid="cyhal__interconnect_8h">cyhal_interconnect.h</includes>
    <includes local="yes" refid="cyhal__lptimer_8h">cyhal_lptimer.h</includes>
    <includes local="yes" refid="cyhal__opamp_8h">cyhal_opamp.h</includes>
    <includes local="yes" refid="cyhal__pdmpcm_8h">cyhal_pdmpcm.h</includes>
    <includes local="yes" refid="cyhal__pwm_8h">cyhal_pwm.h</includes>
    <includes local="yes" refid="cyhal__qspi_8h">cyhal_qspi.h</includes>
    <includes local="yes" refid="cyhal__quaddec_8h">cyhal_quaddec.h</includes>
    <includes local="yes" refid="cyhal__rtc_8h">cyhal_rtc.h</includes>
    <includes local="yes" refid="cyhal__sdhc_8h">cyhal_sdhc.h</includes>
    <includes local="yes" refid="cyhal__sdio_8h">cyhal_sdio.h</includes>
    <includes local="yes" refid="cyhal__spi_8h">cyhal_spi.h</includes>
    <includes local="yes" refid="cyhal__syspm_8h">cyhal_syspm.h</includes>
    <includes local="yes" refid="cyhal__system_8h">cyhal_system.h</includes>
    <includes local="yes" refid="cyhal__timer_8h">cyhal_timer.h</includes>
    <includes local="yes" refid="cyhal__trng_8h">cyhal_trng.h</includes>
    <includes local="yes" refid="cyhal__uart_8h">cyhal_uart.h</includes>
    <includes local="yes" refid="cyhal__usb__dev_8h">cyhal_usb_dev.h</includes>
    <includes local="yes" refid="cyhal__wdt_8h">cyhal_wdt.h</includes>
    <includedby local="yes" refid="cyhal_8h">cyhal.h</includedby>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />File<sp />Name:<sp />cyhal_drivers.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*<sp />Description:</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />Implementation<sp />specific<sp />HAL<sp />header<sp />file<sp />that<sp />pulls<sp />in<sp />all<sp />driver<sp />files<sp />that<sp />are</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp />applicable<sp />for<sp />this<sp />implementation.</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*</highlight></codeline>
<codeline lineno="8"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="20"><highlight class="comment">*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="21"><highlight class="comment">*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="24"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_adc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_clock.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_crc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_dac.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_dma.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_ezi2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_flash.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_i2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_i2s.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_interconnect.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_lptimer.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_opamp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pdmpcm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pwm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_qspi.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_quaddec.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_rtc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_sdhc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_sdio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_spi.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_syspm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_system.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_timer.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_trng.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_uart.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_usb_dev.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_wdt.h"</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_drivers.h" />
  </compounddef>
</doxygen>